curl --request GET \
--url https://api.hakumedia.ai/v2/publishers/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/publishers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/publishers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/publishers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"can_admin_account": false,
"can_approve_ads": false,
"can_change_password": false,
"can_view_wordpress_key": false,
"default_payout": {
"type": "percent",
"cpm": 3,
"cpc": 7.7,
"cpa": 9.23
},
"default_payout_percent": 5.5,
"email": "publisher@example.com",
"name": "Example Publisher",
"domain": "publisher.com",
"seller_type": "intermediary",
"metadata": {
"btf": "true",
"mobile_only": "false"
},
"object": "publisher",
"id": 4843,
"self": "/v2/publishers/4843"
}Get a Single Publisher
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the publisher you'd like to get.
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
Whether to grant administrator privileges to the publisher. When enabled, the publisher has the ability to add and delete their own ad items and zones. Defaults to false.
false
Whether to allow a publisher to approve or deny ad items assigned to their zones. Defaults to false.
false
Whether to allow the publisher to change their own password. Defaults to false.
false
Whether to allow the publisher to view their WordPress key. Defaults to true. When false, the publisher has to request the Wordpress key from the admin.
false
The default values paid out to the publisher. Setting this default will set the payout to all new ad assignments in zones owned by this publisher. Payouts can also be modified per ad item or campaign assignment, and specific payouts will always take precedence over the defaults.
This field is considered a classic PUT: any properties not included in the default_payout field will be set to 0.00, even if the property already had a value.
NOTE: Only subscribers on the Standard tier and above have access to the Financials feature. If you don't have that feature enabled, you must set this field's value to null, an empty array, or an empty object.
Show child attributes
Show child attributes
{
"type": "percent",
"cpm": 3,
"cpc": 7.7,
"cpa": 9.23
}
The default value for the percentage of revenue that will be paid out to the publisher.
DEPRECATED: This field has been expanded to the more detailed default_payout, though it may still be used as a simplified version. We encourage updating to use default_payout as default_payout_percent will likely be removed in later versions of the API.
NOTE: Only subscribers on the Standard tier and above have access to the Financials feature. If you don't have that feature enabled, you must set this field's value to null.
5.5
A valid email owned by the publisher that allows them to log in to the publisher portal. When set to the default, the publisher will not have access to the publisher portal.
"publisher@example.com"
The name of the publisher.
"Example Publisher"
The domain of the publisher. Works only for top-level domains and subdomains, but not protocols or paths.
"publisher.com"
Either "publisher", "intermediary", or "both".
NOTE: The ability to set a publisher as "intermediary" or "both" requires the Programmatic Advertising add-on. If you don't have the add-on, you must set this field's value to "publisher".
"intermediary"
An object containing any number of metadata keys and values. Keys and values must be strings.
{ "btf": "true", "mobile_only": "false" }
A string denoting the current resource being requested or affected.
"publisher"
The current resource identifier (ID).
4843
The relative URL of the current resource being requested or affected.
"/v2/publishers/4843"